## manila 3.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=1.6 # Apache-2.0

alembic>=0.8.4 # MIT
Babel>=2.3.4 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
lxml>=2.3 # BSD
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db>=4.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pyparsing>=2.0.1 # MIT
python-neutronclient>=5.1.0 # Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.16.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
manila (1:3.0.0~b3-1+92~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 17 Sep 2016 19:01:15 +0000

manila (1:3.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Removed skipped-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Sep 2016 19:47:24 +0200

manila (1:3.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updated Danish translation of the debconf templates (Closes: #830648).
  * Build-Conflicts: with bpython.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jul 2016 21:56:18 +0200

manila (1:3.0.0~b1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Changed source URL to new one

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-tempest.conf-generation.patch applied upstream.
  * rm -f search.html in generated docs to avoid FTBFS with the error
    message: "doesn't look like a Sphinx search page".

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Jun 2016 18:10:45 +0200

manila (1:2.0.0-4) unstable; urgency=medium

  * Fix the tempest.conf generation patch.
  * Updated Brazilian Portuguese debconf templates (Closes: #820252).
  * Updated Dutch debconf templates (Closes: #823255).

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Apr 2016 03:18:57 +0000

manila (1:2.0.0-3) unstable; urgency=medium

  * Japanese debconf templates translation update (Closes: #820766).
  * Fix tempest.conf generation.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Apr 2016 22:07:00 +0000

manila (1:2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change).

  [ Thomas Goirand ]
  * Do not use manila/keystone_auth_token, but the admin credentials instead.
  * Build-depends on openstack-pkg-tools >= 42 to ensure default shell is
    /bin/false by default.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Apr 2016 20:38:31 +0000

manila (1:2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:39:59 +0200

manila (1:2.0.0~rc1-5) unstable; urgency=medium

  * Uploading to unstable.
  * Updated ja.po debconf translation (Closes: #819133).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:00:15 +0200

manila (1:2.0.0~rc1-4) experimental; urgency=medium

  * Wrong template names nova->manila.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 14:05:16 +0000

manila (1:2.0.0~rc1-3) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:41:24 +0000

manila (1:2.0.0~rc1-2) experimental; urgency=medium

  * Adds install-missing-files.patch as PBR is (as always) missing the Alembic
    files.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2016 11:47:17 +0100

manila (1:2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed pylxd import patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 14:07:15 +0100

manila (1:2.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added fix-lxd-exceptions-import.patch.
  * Standards-Version: 3.9.7 (no change).
  * Build-Conflicts: ipython.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Mar 2016 22:45:43 +0800

manila (1:2.0.0~b2-2) experimental; urgency=medium

  * Build-depends on git to fix sphinx-build.
  * Updated fr.po and nl.po debconf translation (Closes: #807765, #812352).
  * Using $(CURDIR)/debian/tmp for generating config files.
  * Better config file generation.
  * Removed volume_group from manila-common.templates.
  * VCS urls using https.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Feb 2016 16:39:33 +0800

manila (1:2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.
  * Fixed config file generation namespace list.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 10:58:35 +0100

manila (1:1.0.0-6) unstable; urgency=medium

  * Import .po files from Glance (Closes: #804948).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 09:53:16 +0100

manila (1:1.0.0-5) unstable; urgency=medium

  * Correctly purge the package (Closes: #803444).
  * Configures keystone_authtoken, rabbit, db and API endpoint using debconf.
  * Fixes missing alembic.ini.
  * Fixed default manila.conf generation (it was wrong, missing some options,
    and wrong defaults like lock_path and auth_protocol).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Nov 2015 15:19:53 +0100

manila (1:1.0.0-4) unstable; urgency=medium

  * Added q-text-as-data in depends of manila-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:47:31 +0000

manila (1:1.0.0-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 08:34:45 +0000

manila (1:1.0.0-2) unstable; urgency=medium

  * Added -p flag when doing mkdir /var/lib/manila/volumes (Closes: #802319).

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Oct 2015 18:08:15 +0200

manila (1:1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Align the EPOCH with the Ubuntu version.
  * Added python-pymysql as runtime dependency.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2015 15:03:45 +0200

manila (1.0.0~rc1-2) experimental; urgency=medium

  * Do not duplicate /usr/bin/manila-scheduler in both -common and -scheduler
    packages (Closes: #801101).

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Oct 2015 14:20:36 +0000

manila (1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.


=== debian/control ===
Source: manila
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Malihe Asemani <ml.asemani@gmail.com>,
           Andreas Tille <andreas@an3as.eu>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 42~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     git,
                     python-babel (>= 2.3.4),
                     python-bashate,
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage,
                     python-ddt (>= 1.0.1),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-greenlet,
                     python-hacking,
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml,
                     python-mock (>= 2.0),
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-api-ref,
                     python-os-testr (>= 0.7.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-pyparsing (>= 2.0.1),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-retrying (>= 1.3.0),
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     subunit,
                     testrepository,
Build-Conflicts: bpython,
                 ipython,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-manila
Vcs-Git: https://git.openstack.org/openstack/deb-manila
Homepage: https://github.com/openstack/manila

Package: python-manila
Section: python
Architecture: all
Depends: alembic (>= 0.8.4),
         python-babel (>= 2.3.4),
         python-cinderclient (>= 1:1.6.0),
         python-eventlet (>= 0.18.4),
         python-greenlet,
         python-keystoneauth1 (>= 2.10.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml,
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-paramiko (>= 2.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-pyparsing (>= 2.0.1),
         python-requests (>= 2.10.0),
         python-retrying (>= 1.3.0),
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack shared file system as a service - Python libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python library for Manila.

Package: manila-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-manila (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-api
Architecture: all
Depends: adduser,
         manila-common (= ${binary:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-scheduler
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: manila-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd,sphinxdoc

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-api.config

override_dh_auto_install:
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp

	# Generate the config file
	mkdir -p $(CURDIR)/debian/manila-common/usr/share/manila-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--namespace manila \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace keystonemiddleware.auth_token \
		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf
	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken auth_protocol http
	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf oslo_concurrency lock_path /var/lock/manila

	# and copy the remaining
	set -e ; for i in api-paste.ini policy.json rootwrap.conf ; do \
		cp $(CURDIR)/etc/manila/$$i $(CURDIR)/debian/manila-common/usr/share/manila-common ; \
	done
	cp $(CURDIR)/etc/manila/logging_sample.conf $(CURDIR)/debian/manila-common/usr/share/manila-common/logging.conf
	cp -rfv $(CURDIR)/etc/manila/rootwrap.d $(CURDIR)/debian/manila-common/usr/share/manila-common

	install -D -m 0440 debian/manila-common.sudoers $(CURDIR)/debian/manila-common/etc/sudoers.d/manila-common

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/manila/manila.conf
	rm -f debian/*.service debian/*.upstart debian/*.init
	rm -f debian/manila-common.postinst debian/manila-common.config debian/manila-api.config debian/manila-api.postinst

override_dh_install:
	dh_install --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html
	# We've got to do this, otherwise we get:
	# "search.html doesn't look like a Sphinx search page"
	# and the package FTBFS
	rm -f $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html/search.html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## manila 3.0.0~rc1

=== debian/changelog ===
manila (1:3.0.0~rc1-1+93~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 22 Sep 2016 18:14:38 +0000

manila (1:3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Removed skipped-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Sep 2016 19:47:24 +0200

=== debian/control ===
--- 
+++ 
@@ -55,6 +55,7 @@
                      python-paramiko (>= 2.0),
                      python-paste,
                      python-pastedeploy,
+                     python-pep8,
                      python-psycopg2 (>= 2.5),
                      python-pymysql,
                      python-pyparsing (>= 2.0.1),

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit --parallel | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

## manila 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 netaddr!=0.7.16,>=0.7.12 # BSD
 oslo.config>=3.14.0 # Apache-2.0
 oslo.context>=2.9.0 # Apache-2.0
-oslo.db>=4.10.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0

=== debian/changelog ===
manila (1:3.0.0-5) unstable; urgency=medium

  * German debconf translation update (Closes: #842485).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 18:15:18 +0200

manila (1:3.0.0-4) unstable; urgency=medium

  * Team upload.
  * Revert net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858704).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:51:11 +0200

manila (1:3.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add missing dependency (Closes: #858704).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 25 Mar 2017 12:46:57 +0100

manila (1:3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:36:39 +0100

manila (1:3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:53:26 +0200

manila (1:3.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed olsotest EPOCH.
  * Fixed oslo-config-generator namespaces.
  * Debconf translation:
    - it (Closes: #838512).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:56:39 +0200

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,12 @@
 		--namespace manila \
 		--namespace oslo.messaging \
 		--namespace oslo.middleware.cors \
+		--namespace oslo.middleware.http_proxy_to_wsgi \
 		--namespace oslo.db \
 		--namespace oslo.db.concurrency \
 		--namespace keystonemiddleware.auth_token \
 		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf
+
 	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken auth_protocol http
 	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf oslo_concurrency lock_path /var/lock/manila

## manila 4.0.0~b1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=1.8 # Apache-2.0

alembic>=0.8.4 # MIT
Babel>=2.3.4 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
lxml>=2.3 # BSD
netaddr!=0.7.16,>=0.7.13 # BSD
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.11.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.15.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pyparsing>=2.0.7 # MIT
python-neutronclient>=5.1.0 # Apache-2.0
keystoneauth1>=2.14.0 # Apache-2.0
keystonemiddleware!=4.5.0,>=4.2.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.17.1 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
WebOb>=1.6.0 # MIT

=== debian/changelog ===
manila (1:4.0.0~b1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 21 Nov 2016 09:04:04 -0500

manila (1:3.0.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

  [ Chuck Short ]
  * New upstream release for Openstack Newton. 

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 29 Sep 2016 08:38:23 -0400

manila (1:3.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Sep 2016 09:21:57 -0400

manila (1:3.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream version.
  * d/control: Add python-pep8 to BDs.

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 11:05:41 +0100

=== debian/control ===
Source: manila
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-babel (>= 2.3.4),
                     python-bashate (>= 0.2),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage (>= 4.0),
                     python-ddt (>= 1.0.1),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 2.14.0),
                     python-keystonemiddleware (>= 4.2.0),
                     python-lxml (>= 2.3),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:2.29.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.11.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.15.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.7.6),
                     python-pyparsing (>= 2.0.7),
                     python-reno,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila

Package: python-manila
Section: python
Architecture: all
Depends: alembic (>= 0.8.4),
         python-babel (>= 2.3.4),
         python-cinderclient (>= 1:1.6.0),
         python-eventlet (>= 0.18.2),
         python-greenlet (>= 0.3.2),
         python-keystoneauth1 (>= 2.14.0),
         python-keystonemiddleware (>= 4.2.0),
         python-lxml (>= 2.3),
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.15.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-paramiko (>= 2.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pyparsing (>= 2.0.7),
         python-requests (>= 2.10.0),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends},
Description: Manila Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Python library for Manila.

Package: manila-common
Architecture: all
Depends: adduser,
         python-manila (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: Manila storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains commons components for Manila.

Package: manila-api
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem storage service.
 .
 This package contains the Manila API server.

Package: manila-scheduler
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Scheduler server

Package: manila-data
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-share
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - Share service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Share service.

## manila 4.0.0~b2

=== requirements.txt ===
--- 
+++ 
@@ -16,9 +16,9 @@
 oslo.db!=4.13.1,!=4.13.2,>=4.11.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=3.11.0 # Apache-2.0
-oslo.messaging>=5.2.0 # Apache-2.0
+oslo.messaging>=5.14.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
-oslo.policy>=1.15.0 # Apache-2.0
+oslo.policy>=1.17.0 # Apache-2.0
 oslo.rootwrap>=5.0.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.service>=1.10.0 # Apache-2.0
@@ -31,7 +31,7 @@
 python-neutronclient>=5.1.0 # Apache-2.0
 keystoneauth1>=2.14.0 # Apache-2.0
 keystonemiddleware!=4.5.0,>=4.2.0 # Apache-2.0
-requests>=2.10.0 # Apache-2.0
+requests!=2.12.2,>=2.10.0 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
 Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT

=== debian/changelog ===
manila (1:4.0.0~b2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:37:02 -0500

=== debian/control ===
--- 
+++ 
@@ -36,9 +36,9 @@
                      python-oslo.db (>= 4.11.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 3.16.0),
-                     python-oslo.messaging (>= 5.2.0),
+                     python-oslo.messaging (>= 5.14.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.15.0),
+                     python-oslo.policy (>= 1.17.0),
                      python-oslo.rootwrap (>= 5.0.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
@@ -90,9 +90,9 @@
          python-oslo.db (>= 4.11.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 3.16.0),
-         python-oslo.messaging (>= 5.2.0),
+         python-oslo.messaging (>= 5.14.0),
          python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 1.15.0),
+         python-oslo.policy (>= 1.17.0),
          python-oslo.rootwrap (>= 5.0.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),

## manila 4.0.0~b3

=== debian/changelog ===
manila (1:4.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add python-tooz. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Jan 2017 09:50:39 -0500

=== debian/control ===
--- 
+++ 
@@ -11,31 +11,34 @@
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: alembic (>= 0.8.4),
+Build-Depends-Indep: python-alembic (>= 0.8.10),
                      python-babel (>= 2.3.4),
                      python-bashate (>= 0.2),
-                     python-cinderclient (>= 1:1.6.0),
+                     python-cinderclient (>= 1.6.0),
                      python-coverage (>= 4.0),
                      python-ddt (>= 1.0.1),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
                      python-greenlet (>= 0.3.2),
-                     python-hacking,
+                     python-hacking (>= 0.10.2),
                      python-iso8601 (>= 0.1.11),
-                     python-keystoneauth1 (>= 2.14.0),
-                     python-keystonemiddleware (>= 4.2.0),
+                     python-keystoneauth1 (>= 2.18.0),
+                     python-keystonemiddleware (>= 4.12.0),
                      python-lxml (>= 2.3),
                      python-mock (>= 2.0),
+                     python-pymysql (>= 0.7.6),
                      python-netaddr (>= 0.7.13),
                      python-neutronclient (>= 1:5.1.0),
-                     python-novaclient (>= 2:2.29.0),
+                     python-novaclient (>= 2:6.0.0),
+                     python-openstackdocstheme (>= 1.5.0),
+                     python-os-api-ref (>= 1.0.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.11.0),
+                     python-oslo.db (>= 4.15.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.16.0),
+                     python-oslo.log (>= 3.11.0),
                      python-oslo.messaging (>= 5.14.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 1.17.0),
@@ -50,7 +53,6 @@
                      python-pastedeploy (>= 1.5.0),
                      python-pep8,
                      python-psycopg2 (>= 2.5),
-                     python-pymysql (>= 0.7.6),
                      python-pyparsing (>= 2.0.7),
                      python-reno,
                      python-requests (>= 2.10.0),
@@ -58,14 +60,15 @@
                      python-retrying (>= 1.2.3),
                      python-routes (>= 1.12.3),
                      python-six (>= 1.9.0),
+                     python-sphinx (>= 1.2.1),
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.17.1),
+                     python-testrepository (>= 0.0.18),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
+                     python-tooz (>= 1.47.0),
                      python-webob (>= 1.6.0),
-                     subunit (>= 0.0.18),
-                     testrepository (>= 0.0.18),
 Standards-Version: 3.9.6
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
@@ -73,7 +76,7 @@
 Package: python-manila
 Section: python
 Architecture: all
-Depends: alembic (>= 0.8.4),
+Depends: python-alembic (>= 0.8.10),
          python-babel (>= 2.3.4),
          python-cinderclient (>= 1:1.6.0),
          python-eventlet (>= 0.18.2),
@@ -108,9 +111,10 @@
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.17.1),
+         python-tooz (>= 1.47.0),
          python-webob (>= 1.6.0),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Manila Python libraries
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -126,7 +130,7 @@
 Depends: adduser,
          python-manila (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Provides: ${python:Provides},
 Description: Manila storage service - common files
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -142,7 +146,7 @@
 Architecture: all
 Depends: manila-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Manila storage service - API server
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -157,7 +161,7 @@
 Architecture: all
 Depends: manila-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Manila storage service - Scheduler server
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -172,7 +176,7 @@
 Architecture: all
 Depends: manila-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Manila storage service - Data service
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -187,7 +191,7 @@
 Architecture: all
 Depends: manila-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Manila storage service - Share service
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
